org.eclipse.zest.layouts

## Interface LayoutRelationship

All Superinterfaces:
  LayoutItem

    public interface LayoutRelationship
    extends LayoutItem

This represents a single relationship, providing the layout algorithms with a common interface to run on.

### Method Summary

Methods
`void` `clearBendPoints()` Clear bend points and related bounds If you are updating an existing application you can just implement this method to do nothing.
`LayoutEntity` `getDestinationInLayout()` Gets the destinationEntity of this SimpleRelation whether the relation is exchangeable or not.
`java.lang.Object` `getLayoutInformation()` Returns the internal relationship object.
`LayoutEntity` `getSourceInLayout()` Gets the sourceEntity of this SimpleRelation whether the relation is exchangeable or not.
`void` `populateLayoutConstraint(LayoutConstraint constraint)` Classes should update the specirfied layout constraint if recognized
`void` `setBendPoints(LayoutBendPoint[] bendPoints)` Specify a set of bend points.
`void` `setLayoutInformation(java.lang.Object layoutInformation)` Sets the internal relationship object.

### Methods inherited from interface org.eclipse.zest.layouts.LayoutItem

`getGraphData, setGraphData`

### Method Detail

#### getSourceInLayout

    LayoutEntity getSourceInLayout()

Gets the sourceEntity of this SimpleRelation whether the relation is exchangeable or not.

Returns:
  The sourceEntity.

#### getDestinationInLayout

    LayoutEntity getDestinationInLayout()

Gets the destinationEntity of this SimpleRelation whether the relation is exchangeable or not.

Returns:
  The destinationEntity of this SimpleRelation.

#### setLayoutInformation

    void setLayoutInformation(java.lang.Object layoutInformation)

Sets the internal relationship object.

Parameters:
  `layoutInformation` -

#### getLayoutInformation

    java.lang.Object getLayoutInformation()

Returns the internal relationship object.

Returns:
  Object

#### setBendPoints

    void setBendPoints(LayoutBendPoint[] bendPoints)

Specify a set of bend points. The layout algorithm using this will pass in an empty array of bendPoints, or not even call this method, if there are no bend points associated with this edge. If you are updating an existing application you can just implement this method to do nothing.

Parameters:
  `bendPoints` - A list of bend points. All bendpoint locations are expressed as percentages of the bounds (0,0 to 1,1).The first bendpoint in the list must be the source point of this relationship and the last bendpoint the destination point for this relationship. This allows the correct positioning of bendpoints relative to the source and destination points when drawing the graph.

#### clearBendPoints

    void clearBendPoints()

Clear bend points and related bounds If you are updating an existing application you can just implement this method to do nothing.

#### populateLayoutConstraint

    void populateLayoutConstraint(LayoutConstraint constraint)

Classes should update the specirfied layout constraint if recognized